<?xml version='1.0' encoding='utf-8'?>
<FilingSummary>
  <Version>3.20.4</Version>
  <ProcessingTime/>
  <ReportFormat>html</ReportFormat>
  <ContextCount>104</ContextCount>
  <ElementCount>381</ElementCount>
  <EntityCount>1</EntityCount>
  <FootnotesReported>false</FootnotesReported>
  <SegmentCount>37</SegmentCount>
  <ScenarioCount>0</ScenarioCount>
  <TuplesReported>false</TuplesReported>
  <UnitCount>4</UnitCount>
  <MyReports>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R1.htm</HtmlFileName>
      <LongName>00000001 - Document - Document and Entity Information</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/DocumentAndEntityInformation</Role>
      <ShortName>Document and Entity Information</ShortName>
      <MenuCategory>Cover</MenuCategory>
      <Position>1</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R2.htm</HtmlFileName>
      <LongName>00000002 - Statement - Consolidated Balance Sheets</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/StatementOfFinancialPositionClassified</Role>
      <ShortName>Consolidated Balance Sheets</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>2</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R3.htm</HtmlFileName>
      <LongName>00000003 - Statement - Consolidated Balance Sheets (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/BalanceSheetsParenthetical</Role>
      <ShortName>Consolidated Balance Sheets (Parenthetical)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>3</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R4.htm</HtmlFileName>
      <LongName>00000004 - Statement - Consolidated Statements of Operations</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/StatementsOfOperations</Role>
      <ShortName>Consolidated Statements of Operations</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>4</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R5.htm</HtmlFileName>
      <LongName>00000005 - Statement - Consolidated Statements of Shareholders' Equity (Deficit)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/StatementsOfShareholdersEquityDeficit</Role>
      <ShortName>Consolidated Statements of Shareholders' Equity (Deficit)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>5</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R6.htm</HtmlFileName>
      <LongName>00000006 - Statement - Consolidated Statements of Cash Flows</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/StatementOfCashFlowsIndirect</Role>
      <ShortName>Consolidated Statements of Cash Flows</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>6</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R7.htm</HtmlFileName>
      <LongName>00000007 - Disclosure - THE COMPANY AND LIQUIDITY - Note 1</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/CompanyAndLiquidity</Role>
      <ShortName>THE COMPANY AND LIQUIDITY - Note 1</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>7</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R8.htm</HtmlFileName>
      <LongName>00000008 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES - Note 2</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/OrganizationConsolidationAndPresentationOfFinancialStatements</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES - Note 2</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>8</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R9.htm</HtmlFileName>
      <LongName>00000009 - Disclosure - REVENUE RECOGNITION - Note 3</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/RevenueRecognition-Note3</Role>
      <ShortName>REVENUE RECOGNITION - Note 3</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>9</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R10.htm</HtmlFileName>
      <LongName>00000010 - Disclosure - LONG-TERM CONTRACTS - Note 4</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/Long-termContracts-Note3</Role>
      <ShortName>LONG-TERM CONTRACTS - Note 4</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>10</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R11.htm</HtmlFileName>
      <LongName>00000011 - Disclosure - LONG-TERM DEBT - Note 5</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/Long-termDebt-Note5</Role>
      <ShortName>LONG-TERM DEBT - Note 5</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>11</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R12.htm</HtmlFileName>
      <LongName>00000012 - Disclosure - INVENTORY - Note 6</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/Inventory</Role>
      <ShortName>INVENTORY - Note 6</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>12</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R13.htm</HtmlFileName>
      <LongName>00000013 - Disclosure - ACCRUED LIABILITIES - Note 7</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/AccruedLiabilities-Note5</Role>
      <ShortName>ACCRUED LIABILITIES - Note 7</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>13</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R14.htm</HtmlFileName>
      <LongName>00000014 - Disclosure - PROPERTY AND EQUIPMENT - Note 8</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/PropertyAndEquipmentNet-Note6</Role>
      <ShortName>PROPERTY AND EQUIPMENT - Note 8</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>14</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R15.htm</HtmlFileName>
      <LongName>00000015 - Disclosure - INTANGIBLE ASSETS - Note 9</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/IntangibleAssets-Note7</Role>
      <ShortName>INTANGIBLE ASSETS - Note 9</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>15</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R16.htm</HtmlFileName>
      <LongName>00000016 - Disclosure - COMMON STOCK - Note 10</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/CommonStock</Role>
      <ShortName>COMMON STOCK - Note 10</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>16</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R17.htm</HtmlFileName>
      <LongName>00000017 - Disclosure - SHARE-BASED COMPENSATION - Note 11</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/CompensationRelatedCostsStockCompensation</Role>
      <ShortName>SHARE-BASED COMPENSATION - Note 11</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>17</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R18.htm</HtmlFileName>
      <LongName>00000018 - Disclosure - LEASES - Note 12</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/Leases-Note12</Role>
      <ShortName>LEASES - Note 12</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>18</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R19.htm</HtmlFileName>
      <LongName>00000019 - Disclosure - COMMITMENTS AND CONTINGENCIES - Note 13</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/CommitmentAndContingencies</Role>
      <ShortName>COMMITMENTS AND CONTINGENCIES - Note 13</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>19</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R20.htm</HtmlFileName>
      <LongName>00000020 - Disclosure - INCOME TAXES - Note 14</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/IncomeTaxes</Role>
      <ShortName>INCOME TAXES - Note 14</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>20</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R21.htm</HtmlFileName>
      <LongName>00000021 - Disclosure - RETIREMENT SAVINGS PLAN - Note 15</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/RetirementSavingsPlan</Role>
      <ShortName>RETIREMENT SAVINGS PLAN - Note 15</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>21</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R22.htm</HtmlFileName>
      <LongName>00000022 - Disclosure - QUARTERLY FINANCIAL INFORMATION (unaudited) - Note 16</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/QuarterlyFinancialInformation</Role>
      <ShortName>QUARTERLY FINANCIAL INFORMATION (unaudited) - Note 16</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>22</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R23.htm</HtmlFileName>
      <LongName>00000023 - Disclosure - SUBSEQUENT EVENT - Note 17</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/SubsequentEvent-Note17</Role>
      <ShortName>SUBSEQUENT EVENT - Note 17</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>23</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R24.htm</HtmlFileName>
      <LongName>00000024 - Disclosure - Valuation and Qualifying Accounts</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/ValuationAndQualifyingAccounts</Role>
      <ShortName>Valuation and Qualifying Accounts</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>24</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R25.htm</HtmlFileName>
      <LongName>00000025 - Disclosure - Summary of Significant Accounting Policies (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/SummaryOfSignificantAccountingPoliciesPolicies</Role>
      <ShortName>Summary of Significant Accounting Policies (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <Position>25</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R26.htm</HtmlFileName>
      <LongName>00000026 - Disclosure - Summary of Significant Accounting Policies (Net Loss Per Share) (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/SummaryOfSignificantAccountingPoliciesNetLossPerShareTables</Role>
      <ShortName>Summary of Significant Accounting Policies (Net Loss Per Share) (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>26</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R27.htm</HtmlFileName>
      <LongName>00000027 - Disclosure - Summary of Significant Accounting Policies (Share-Based Compensation) (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/SummaryOfSignificantAccountingPoliciesShare-basedCompensationTables</Role>
      <ShortName>Summary of Significant Accounting Policies (Share-Based Compensation) (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>27</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R28.htm</HtmlFileName>
      <LongName>00000028 - Disclosure - Revenue Recognition (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/RevenueRecognitionTables</Role>
      <ShortName>Revenue Recognition (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>28</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R29.htm</HtmlFileName>
      <LongName>00000030 - Disclosure - Inventory (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/InventoryTables</Role>
      <ShortName>Inventory (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>29</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R30.htm</HtmlFileName>
      <LongName>00000031 - Disclosure - Accrued liabilities (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/AccruedLiabilitiesTables</Role>
      <ShortName>Accrued liabilities (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>30</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R31.htm</HtmlFileName>
      <LongName>00000032 - Disclosure - Property and equipment (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/PropertyAndEquipmentNetTables</Role>
      <ShortName>Property and equipment (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>31</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R32.htm</HtmlFileName>
      <LongName>00000033 - Disclosure - Intangible Assets (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/IntangibleAssetsTables</Role>
      <ShortName>Intangible Assets (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>32</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R33.htm</HtmlFileName>
      <LongName>00000034 - Disclosure - Share-Based Compensation (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/Share-basedCompensationTables</Role>
      <ShortName>Share-Based Compensation (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>33</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R34.htm</HtmlFileName>
      <LongName>00000035 - Disclosure - Leases (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/LeasesTables</Role>
      <ShortName>Leases (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>34</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R35.htm</HtmlFileName>
      <LongName>00000036 - Disclosure - Income Taxes (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/IncomeTaxesTables</Role>
      <ShortName>Income Taxes (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>35</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R36.htm</HtmlFileName>
      <LongName>00000037 - Disclosure - Quarterly financial information (Unaudited) (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/QuarterlyFinancialInformationTables</Role>
      <ShortName>Quarterly financial information (Unaudited) (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>36</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R37.htm</HtmlFileName>
      <LongName>00000038 - Disclosure - Valuation Reserves Schedule (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/ValuationReservesScheduleTables</Role>
      <ShortName>Valuation Reserves Schedule (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>37</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R38.htm</HtmlFileName>
      <LongName>00000039 - Disclosure - Summary of Significant Accounting Policies Concentration of Sales to Major Customers) (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/SummaryOfSignificantAccountingPoliciesConcentrationOfSalesToMajorCustomersNarrativeDetails</Role>
      <ShortName>Summary of Significant Accounting Policies Concentration of Sales to Major Customers) (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>38</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R39.htm</HtmlFileName>
      <LongName>00000040 - Disclosure - Summary of Significant Accounting Policies (Net Loss Per Share) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/SummaryOfSignificantAccountingPoliciesNetLossPerShareDetails</Role>
      <ShortName>Summary of Significant Accounting Policies (Net Loss Per Share) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://microvision.com/role/SummaryOfSignificantAccountingPoliciesNetLossPerShareTables</ParentRole>
      <Position>39</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R40.htm</HtmlFileName>
      <LongName>00000041 - Disclosure - Summary of Significant Accounting Policies (Net Loss Per Share Convertible Securities and Options Excluded) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/SummaryOfSignificantAccountingPoliciesNetLossPerShareConvertibleSecuritiesAndOptionsExcludedDetails</Role>
      <ShortName>Summary of Significant Accounting Policies (Net Loss Per Share Convertible Securities and Options Excluded) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://microvision.com/role/SummaryOfSignificantAccountingPoliciesNetLossPerShareTables</ParentRole>
      <Position>40</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R41.htm</HtmlFileName>
      <LongName>00000042 - Disclosure - Summary of Significant Accounting Policies (Schedule Of Stock-Based Compensation Expense By Statement Of Operations) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/SummaryOfSignificantAccountingPoliciesScheduleOfStock-basedCompensationExpenseByStatementOfOperationsDetails</Role>
      <ShortName>Summary of Significant Accounting Policies (Schedule Of Stock-Based Compensation Expense By Statement Of Operations) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://microvision.com/role/SummaryOfSignificantAccountingPoliciesNetLossPerShareTables</ParentRole>
      <Position>41</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R42.htm</HtmlFileName>
      <LongName>00000043 - Disclosure - Summary of Significant Accounting Policies (Recent Accounting Pronouncements - Leases) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/SummaryOfSignificantAccountingPoliciesRecentAccountingPronouncements-LeasesDetails</Role>
      <ShortName>Summary of Significant Accounting Policies (Recent Accounting Pronouncements - Leases) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://microvision.com/role/SummaryOfSignificantAccountingPoliciesNetLossPerShareTables</ParentRole>
      <Position>42</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R43.htm</HtmlFileName>
      <LongName>00000044 - Disclosure - Revenue Recognition - Disaggregated Revenue (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/RevenueRecognition-DisaggregatedRevenueDetails</Role>
      <ShortName>Revenue Recognition - Disaggregated Revenue (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>43</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R44.htm</HtmlFileName>
      <LongName>00000045 - Disclosure - Revenue Recognition - Contract Balances with Contract Customers (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/RevenueRecognition-ContractBalancesWithContractCustomersDetails</Role>
      <ShortName>Revenue Recognition - Contract Balances with Contract Customers (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>44</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R45.htm</HtmlFileName>
      <LongName>00000046 - Disclosure - Revenue Recognition - Schedule of Significant Changes in Contract Assets and Liabilities (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/RevenueRecognition-ScheduleOfSignificantChangesInContractAssetsAndLiabilitiesDetails</Role>
      <ShortName>Revenue Recognition - Schedule of Significant Changes in Contract Assets and Liabilities (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>45</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R46.htm</HtmlFileName>
      <LongName>00000047 - Disclosure - Revenue Recognition - Estimated Revenue Expected to be Recognized in Future Related to Performance Obligations (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/RevenueRecognition-EstimatedRevenueExpectedToBeRecognizedInFutureRelatedToPerformanceObligationsDetails</Role>
      <ShortName>Revenue Recognition - Estimated Revenue Expected to be Recognized in Future Related to Performance Obligations (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>46</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R47.htm</HtmlFileName>
      <LongName>00000048 - Disclosure - Long-Term Contracts (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/Long-termContractsNarrativeDetails</Role>
      <ShortName>Long-Term Contracts (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>47</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R48.htm</HtmlFileName>
      <LongName>00000050 - Disclosure - Inventory Components (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/InventoryComponentsDetails</Role>
      <ShortName>Inventory Components (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>48</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R49.htm</HtmlFileName>
      <LongName>00000051 - Disclosure - Inventory (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/InventoryNarrativeDetails</Role>
      <ShortName>Inventory (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://microvision.com/role/InventoryTables</ParentRole>
      <Position>49</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R50.htm</HtmlFileName>
      <LongName>00000052 - Disclosure - Accrued liabilities components (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/AccruedLiabilitiesComponentsDetails</Role>
      <ShortName>Accrued liabilities components (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>50</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R51.htm</HtmlFileName>
      <LongName>00000053 - Disclosure - Property and equipment (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/PropertyAndEquipmentDetails</Role>
      <ShortName>Property and equipment (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://microvision.com/role/PropertyAndEquipmentNetTables</ParentRole>
      <Position>51</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R52.htm</HtmlFileName>
      <LongName>00000054 - Disclosure - Property and equipment (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/PropertyAndEquipmentNarrativeDetails</Role>
      <ShortName>Property and equipment (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://microvision.com/role/PropertyAndEquipmentNetTables</ParentRole>
      <Position>52</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R53.htm</HtmlFileName>
      <LongName>00000055 - Disclosure - Intangible assets (Future Amortization) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/IntangibleAssetsFutureAmortizationDetails</Role>
      <ShortName>Intangible assets (Future Amortization) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>53</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R54.htm</HtmlFileName>
      <LongName>00000056 - Disclosure - Intangible assets (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/IntangibleAssetsNarrativeDetails</Role>
      <ShortName>Intangible assets (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>54</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R55.htm</HtmlFileName>
      <LongName>00000057 - Disclosure - Common Stock Issuance (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/CommonStockIssuanceNarrativeDetails</Role>
      <ShortName>Common Stock Issuance (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>55</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R56.htm</HtmlFileName>
      <LongName>00000060 - Disclosure - Share-based compensation (Weighted Average Assumptions) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/Share-basedCompensationWeightedAverageAssumptionsDetails</Role>
      <ShortName>Share-based compensation (Weighted Average Assumptions) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>56</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R57.htm</HtmlFileName>
      <LongName>00000061 - Disclosure - Share-based compensation (Schedule Of Stock Option Activity) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/Share-basedCompensationScheduleOfStockOptionActivityDetails</Role>
      <ShortName>Share-based compensation (Schedule Of Stock Option Activity) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>57</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R58.htm</HtmlFileName>
      <LongName>00000062 - Disclosure - Share-Based Compensation (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/Share-basedCompensationNarrativeDetails</Role>
      <ShortName>Share-Based Compensation (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://microvision.com/role/Share-basedCompensationTables</ParentRole>
      <Position>58</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R59.htm</HtmlFileName>
      <LongName>00000063 - Disclosure - Components of Lease Expense (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/ComponentsOfLeaseExpenseDetails</Role>
      <ShortName>Components of Lease Expense (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>59</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R60.htm</HtmlFileName>
      <LongName>00000064 - Disclosure - Lease Supplemental Cash Flow Information Related to Leases (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/LeaseSupplementalCashFlowInformationRelatedToLeasesDetails</Role>
      <ShortName>Lease Supplemental Cash Flow Information Related to Leases (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>60</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R61.htm</HtmlFileName>
      <LongName>00000065 - Disclosure - Lease Supplemental Balance Sheet (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/LeaseSupplementalBalanceSheetDetails</Role>
      <ShortName>Lease Supplemental Balance Sheet (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>61</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R62.htm</HtmlFileName>
      <LongName>00000066 - Disclosure - Maturities of Lease Liabilities (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/MaturitiesOfLeaseLiabilitiesDetail</Role>
      <ShortName>Maturities of Lease Liabilities (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>62</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R63.htm</HtmlFileName>
      <LongName>00000068 - Disclosure - Income Taxes (Schedule Of Differences Between Statutory Tax And Effective Tax) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/IncomeTaxesScheduleOfDifferencesBetweenStatutoryTaxAndEffectiveTaxDetails</Role>
      <ShortName>Income Taxes (Schedule Of Differences Between Statutory Tax And Effective Tax) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://microvision.com/role/IncomeTaxesTables</ParentRole>
      <Position>63</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R64.htm</HtmlFileName>
      <LongName>00000069 - Disclosure - Income taxes (Deferred Tax Assets) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/IncomeTaxesDeferredTaxAssetsDetails</Role>
      <ShortName>Income taxes (Deferred Tax Assets) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>64</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R65.htm</HtmlFileName>
      <LongName>00000070 - Disclosure - Income taxes (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/IncomeTaxesCreditCarryforwardsNarrativeDetails</Role>
      <ShortName>Income taxes (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>65</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R66.htm</HtmlFileName>
      <LongName>00000071 - Disclosure - Retirement savings plan (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/RetirementSavingsPlanNarrativeDetails</Role>
      <ShortName>Retirement savings plan (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>66</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R67.htm</HtmlFileName>
      <LongName>00000072 - Disclosure - Quarterly financial information (Unaudited) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/QuarterlyFinancialInformationDetails</Role>
      <ShortName>Quarterly financial information (Unaudited) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://microvision.com/role/QuarterlyFinancialInformationTables</ParentRole>
      <Position>67</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R68.htm</HtmlFileName>
      <LongName>00000073 - Disclosure - Valuation and Qualifying Accounts (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/ValuationAndQualifyingAccountsDetails</Role>
      <ShortName>Valuation and Qualifying Accounts (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://microvision.com/role/ValuationAndQualifyingAccounts</ParentRole>
      <Position>68</Position>
    </Report>
    <Report instance="mvis-20201231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R69.htm</HtmlFileName>
      <LongName>00000074 - Disclosure - Subsequent Event (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://microvision.com/role/SubsequentEventNarrativeDetails</Role>
      <ShortName>Subsequent Event (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>69</Position>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <LongName>All Reports</LongName>
      <ReportType>Book</ReportType>
      <ShortName>All Reports</ShortName>
    </Report>
  </MyReports>
  <InputFiles>
    <File>mvis-20201231.xml</File>
    <File>mvis-20201231.xsd</File>
    <File>mvis-20201231_cal.xml</File>
    <File>mvis-20201231_def.xml</File>
    <File>mvis-20201231_lab.xml</File>
    <File>mvis-20201231_pre.xml</File>
  </InputFiles>
  <SupplementalFiles/>
  <BaseTaxonomies>
    <BaseTaxonomy>http://xbrl.sec.gov/dei/2019-01-31</BaseTaxonomy>
    <BaseTaxonomy>http://fasb.org/us-gaap/2020-01-31</BaseTaxonomy>
    <BaseTaxonomy>http://fasb.org/srt/2020-01-31</BaseTaxonomy>
  </BaseTaxonomies>
  <HasPresentationLinkbase>true</HasPresentationLinkbase>
  <HasCalculationLinkbase>true</HasCalculationLinkbase>
</FilingSummary>
